@extends("app.layout.ozo")

@push("page_title") Bind Bank Account @endpush

@push('style')
@endpush

@php
    $accountNumber = (auth()->user()->bankAccount) ? auth()->user()->bankAccount->bank_account : '';
    $accountName = (auth()->user()->bankAccount) ? auth()->user()->bankAccount->full_name : '';
    $bankName = (auth()->user()->bankAccount) ? auth()->user()->bankAccount->bank_name : '';
    $bankCode = (auth()->user()->bankAccount) ? auth()->user()->bankAccount->bank_code : '';
    $default = (auth()->user()->bankAccount) ? auth()->user()->bankAccount->is_default : 0;
@endphp

@section('content')
<form action="{{ route('setup.gateway.submit') }}" method="post" autocomplete="off">
        @csrf
    @include("app.layout.ozo_header_nav")

    <div class="auth">        
        <div class="form">

            <label class="form-control" for="name">
                <p>Bank name</p>
                <div>
                    {{-- <input placeholder="Please enter your bank namer" type="text" name="bank_name" value="{{ $bankName }}"> --}}
                    
                    <select name="bank_code" id="bank_name" class="form-control" required>
                        @foreach($bank_list as $bank)
                            <option value="{{ $bank['bank_code'] }}" @if($bankCode == $bank['bank_code']) selected @endif >{{ $bank['name'] }}</option>
                        @endforeach
                    </select>
                </div>
            </label>
            
            <label class="form-control" for="name">
                <p>Account Number</p>
                <div>
                    <input placeholder="Enter your account number" type="text" name="bank_account" value="{{ $accountNumber }}">

                </div>
            </label>

            <label class="form-control" for="name">
                <p>Cardholder</p>
                <div>
                    <input placeholder="Please enter your cardholder" type="text" name="full_name" value="{{ $accountName }}">
                </div>
            </label>

            {{-- <label class="form-control" for="name">
                <p>IFSC No</p>
                <div>
                    <input placeholder="Please enter your bank namer" type="text" name="bank_code" value="{{ $bankCode }}">
                </div>
            </label> --}}

            <div class="as-default">
                <p>Set As Default</p>
                <label class="toggle">
                    <input type="checkbox" name="is_default" class="sr-only peer" @if($default) checked @endif>
                    <div class="peer-focus:outline-none peer-focus:ring-4 peer-focus:ring-transparent dark:peer-focus:ring-blue-800 peer dark:bg-gray-700 peer-checked:after:translate-x-full rtl:peer-checked:after:-translate-x-full peer-checked:after:border-white  peer-checked:bg-brand"></div>
                </label>
            </div>

            <button type="submit" class="btn-submit">Change</button>
        </div>
    </div>
</form>
@endsection

@push('script')
@endpush