@extends("app.layout.ozo")

@push("page_title") Dashboard @endpush

@push('style')
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.css"/>
    <script src="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.js"></script>
@endpush

@section('content')
<div class="home">

    <div class="swiper">
        <div class="swiper-wrapper">
            @foreach($sliders as $slider)
                <img class="swiper-slide" src="{{ asset($slider->photo) }}" alt="Slider" />
            @endforeach
        </div>
    </div>

    <!-- links -->
    <div class="links">
        <button onclick="openModal('modalTelegram')" href="javascript:void(0);">
            <img width="24" src="{{ asset(themes('img/icon/help.png')) }}" alt="">
            <p>Support</p>
        </button>

        <a href="{{ route('user.checkin') }}">
            <img width="24" src="{{ asset(themes('img/icon/gift.png')) }}" alt="">
            <p>Check-Ins</p>
        </a>

        <a href="{{ route('share') }}">
            <img width="24" src="{{ asset(themes('img/icon/invite.png')) }}" alt="">
            <p>Invite</p>
        </a>

        <a href="{{ route('user.vip') }}">
            <img width="24" src="{{ asset(themes('img/icon/vip.png')) }}" alt="">
            <p>VIP</p>
        </a>

        {{-- <a href="{{ route('user.team') }}">
            <img width="24" src="{{ asset(themes('img/icon/friends.png')) }}" alt="">
            <p>News</p>
        </a> --}}
    </div>

    <div class="my-tasks">
        <div class="title">
            <p><img src="{{ asset(themes('img/icon/task.png')) }}" alt=""> Daily Tasks</p>
            <a href="{{ route('user.task') }}">More</a>
        </div>

        <div class="tasks">

            <!-- task -->
            @foreach($tasks as $task)
            <div>
                <div>
                    <div class="round-badge">
                        <img src="{{ asset(themes($task->type->photo)) }}" alt="">
                    </div>
                    <p>{{ price($task->amount) }}</p>
                </div>
                <div>
                    <div>
                        <p>{{ $task->name }}</p>
                        <p>{!! $task->text_desc !!}</p>
                    </div>
                    <div>
                        @if(auth()->user()->vip == $task->vip && $task->for_vip || $task->for_vip != 1)
                            <button type="button" class="Buy task-submit" data-id="{{ $task->id }}">Get</button>
                        @else
                            <button type="button" class="Buy">
                                <iconify-icon icon="hugeicons:time-half-pass" width="10" height="10"  style="color: white"></iconify-icon>
                            </button>
                        @endif
                    </div>
                </div>
            </div>
            @endforeach

        </div>

    </div>

    <div class="about-us">
        <img src="{{ asset(themes('img/about.jpg')) }}" alt="" srcset="">
        <div>
            <p class="lead">About Us</p>
            {!! $setting->about !!}
        </div>
    </div>
</div>

@include('app.main.home.modal.popup')
@include('app.main.home.modal.product')
@include('app.main.home.modal.social')
@include('app.main.home.modal.other')
@endsection

@push('script')
<script src="{{ asset(themes('js/modal2.js')) }}"></script>
<script src="{{ asset(themes('js/modal.js')) }}"></script>
<script>
    const swiper = new Swiper('.swiper', {
        // Optional parameters
        direction: 'horizontal',
        loop: true,
        speed: 1000,
        autoplay: {
            delay: 1000,
        },
    });
</script>
@endpush