@extends("app.layout.ozo")

@push("page_title") My Account @endpush

@push('style')
@endpush

@section('content')
<div class="mine2">

    <div class="title">
        <p>Personal Center</p>
        <div>
            <div>
                <p>Mobile</p>
                <p>{{ auth()->user()->phone }}</p>
            </div>

            <div>
                <div>
                    <img src="{{ asset(themes('img/logo.png')) }}" alt="">
                </div>
            </div>
        </div>
        <div>
            <div>
                <p>Account Balance</p>
                <p>{{ price(auth()->user()->balance) }}</p>

                <p class="mt-10">Earning Balance</p>
                <p>{{ price(auth()->user()->income) }}</p>
            </div>

            <div>
                <div>
                    <a href="{{ route('user.vip') }}">{{ auth()->user()->vip->name }}</a>
                    <a href="{{ route('balance.record') }}">All Records</a>
                </div>
            </div>
        </div>
    </div>

    <img src="{{ asset(themes('img/auth.jpg')) }}" style="opacity: 0.6;" alt="" class="cover" />

    <div class="links">
        <a class="green" href="{{ route('user.onepay') }}">
            <iconify-icon width="36" icon="hugeicons:money-bag-01"></iconify-icon>
            <p>Recharge</p>
        </a>

        <a class="blue" href="{{ route('user.withdraw') }}">
            <iconify-icon width="36" icon="fa-brands:get-pocket"></iconify-icon>
            <p>Withdraw</p>
        </a>

        <button onclick="openModal('modalBonus')" class="yellow">
            <iconify-icon width="36" icon="mage:gift-fill"></iconify-icon>
            <p>Bonus</p>
        </button>

        <button onclick="openModal('modalInvite')" class="fuchsia" href="#">
            <iconify-icon width="36" icon="majesticons:share"></iconify-icon>
            <p>share</p>
        </button>

        <a class="yellow" href="{{ route('earning') }}">
            <iconify-icon width="36" icon="mage:file-2-fill"></iconify-icon>
            <p>My order</p>
        </a>

        <a class="blue" href="{{ route('user.card') }}">
            <iconify-icon width="36" icon="solar:card-bold"></iconify-icon>
            <p>Account</p>
        </a>

        <a class="red" href="{{ route('user.change-password') }}">
            <iconify-icon width="36" icon="mdi:password"></iconify-icon>
            <p>Password</p>
        </a>

        {{-- <a class="green" href="{{ url('/app.apk') }}">
            <iconify-icon width="36" icon="humbleicons:download"></iconify-icon>
            <p>Download</p>
        </a> --}}
        
    </div>

    <div>
        <button type="button" onclick="window.location='{{ route('logout') }}';">Logout</button>
    </div>

</div>

@include('app.main.mine.modal')
@endsection

@push('script')
<script src="{{ asset(themes('js/modal.js')) }}"></script>
<script src="{{ asset(themes('js/copypaste.js')) }}"></script>
@endpush