@extends("app.layout.ozo")

@push("page_title") Orders @endpush

@push('style')
@endpush

@section('content')
@include("app.layout.ozo_header_nav")
<div class="home">

    <div class="product">
        <div class="summary">
            <div>
                <p>{{ price($total_invest) }}</p>
                <p>My product</p>
            </div>
            <div>
                <p>{{ price($total_interest) }}</p>
                <p>Daily Income</p>
            </div>
        </div>

        <div class="tabs">
            @foreach($categorys as $cate)
            <a href="javascript:void(0);" @if($cate->id == '1') class="active" @endif role="product-switch" data-target="data{{ $cate->id }}">
                {{ $cate->name }}
            </a>
            @endforeach
        </div>

        @php
            $range_category = range(1, count($categorys));
            $data = [];
            foreach($range_category as $keycat) {
                $data[$keycat] = collect($packages)->filter(function($item) use ($keycat) {
                    return $item->category_id == $keycat;
                });
            }
        @endphp

        
        @foreach($range_category as $keydata)
            <div class="products products-bag hide" id="data{{ $keydata }}">
                @foreach($data[$keydata] as $package)
                    @php
                        $vip = $package->vip;
                        $totalPurchased = ($package->has_limit) ? \App\Models\Purchase::where(['user_id' => auth()->id(), 'package_id' => $package->id])->where('created_at','>=', date("Y-m-d"))->count() : 0;
                    @endphp
                    
                    <div>
                        <div>
                            <img src="{{ asset($package->photo) }}" alt="">
                        </div>
                        <div>
                            <p>{{ $package->name }} </p>
                            <p>Price: <span>{{ price($package->price) }}</span></p>
                            <p>Cycle: <span>{{ $package->validity }} days</span></p>
                            @if($package->earn_type == 'daily')<p>Daily income: <span>{{ price($package->interest) }}</span></p>@endif
                            <p>Total income: <span>{{ price($package->interest * $package->validity) }}</span></p>
                            @if($package->for_vip)<p>Uses for VIP: <span>{{ $vip->name }}</span> to Up</p>@endif
                            <p>Invest Limit @if($package->has_limit)<b>{{ $package->buy_limit }}</b>@else <b>Unlimited</b>@endif </p>
                        </div>
                        <div>
                            @if($package->p_status == 'sold_out' || $totalPurchased >= $package->buy_limit && $package->has_limit)
                                <button type="button" class="buy"><iconify-icon icon="weui:done2-outlined" width="16" height="16"  style="color: white"></iconify-icon></button>
                            @else
                                <button type="button" class="buy openProduct" onclick="openModal('modalProduct')" data-name="{{ $package->name }}" data-amount="{{ $package->price }}" data-id="{{ $package->id }}">Buy</button>
                            @endif
                        </div>
                    </div>
                    @if($package->earn_type == 'days')<p style="font-size: 10px;">You will receive your earnings after {{ $package->validity }} days</p>@endif
                    
                @endforeach
            </div>
        @endforeach
    </div>
</div>

@include('app.main.home.modal.product')
@endsection

@push('script')
<script src="{{ asset(themes('js/modal.js')) }}"></script>
<script src="{{ asset(themes('js/product-switch.js')) }}"></script>
@endpush