@extends("app.layout.ozo")

@push("page_title") Recharge @endpush

@push('style')
<style>
    .extend-height {
        height: 120vh;
    }
</style>
@endpush

@section('content')
<div class="top-nav all">
    <a href="{{ route('my.profile') }}">
        <iconify-icon width="21" icon="eva:arrow-back-outline"></iconify-icon>
    </a>
    <p>Recharge</p>
    <a href="{{route('user.payment.ledger')}}">Record</a>
</div>

<form action="{{route('user.onepay.submit')}}" class="extend-height" method="post" autocomplete="off">
    @csrf
    
    <div class="recharge">
        <p>Recharge balance</p>
        <div class="balance">
            @foreach($packages as $plan)
            <button type="button" data-role='amount-tip'>{{ $plan->price }}</button>
            @endforeach
        </div>

        <div class="input-group">
            <input id="recharge-input" type="text" name="amount" placeholder="{{ price($methods[0]->minimum_recharge) }} - {{ price($methods[0]->maximum_recharge) }}" autocomplete="off" />
        </div>
    </div>

    <div class="recharge-method">
        <p>Recharge Method</p>
        <select name="pay_method">
            @foreach($methods as $method)
                <option value="{{ $method->tag }}">{{ $method->name }}</option>
            @endforeach
        </select>
    </div>

    <div class="px-4">
        <button type="submit" class="btn-submit">Recharge Now</button>
    </div>

    <div class="notes">
        <div>
            <p>Recharge Notes</p>
            {!! $setting->recharge_notice !!}
        </div>
    </div>
    
</form>
@endsection

@section('no_footer') @endsection

@push('script')
    <script src="{{ asset(themes('js/recharge-amount.js')) }}"></script>
@endpush