@extends('app.layout.app')
@section('app_content')
    <div class="back-section">
        <div class="container">
            <div class="back-area">
                <a href="{{route('my.profile')}}">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512">
                        <path d="M41.4 233.4c-12.5 12.5-12.5 32.8 0 45.3l160 160c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L109.3 256 246.6 118.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0l-160 160z"/></svg>
                </a>
                <h2 class="site-title">
                    Personal Details
                </h2>
            </div>
        </div>
    </div>
    <style>
        input.cu_input {
            padding: 5px 3px;
            margin: 5px 0;
            border: 1px solid rgb(0, 54, 202);
        }
        select{
            padding: 5px 3px;
            margin: 5px 0;
            border: 1px solid rgb(0, 54, 202);
        }
        button {
            border: none;
            display: block;
            background: rgb(0, 54, 202);
            width: 80%;
            margin: auto;
            padding: 7px 0;
            color: #fff;
            border-radius: 50px;
            margin-top: 30px;
        }
        .wrapper{
            min-height: unset !important;
        }
    </style>

    <div class="wrapper">
        <form action="{{route('user.personal-details-submit')}}" method="post">
            @csrf
            <section class="page-content-section">
                <div class="container" style="margin-top: 20px">
                    <div class="card">
                        <div class="card-header" style="box-shadow:0px -4px 0px rgb(0, 54, 202)">
                            <h2 style="margin: 0;font-size: 15px;border-bottom: 1px dashed #0000004d;padding-bottom: 15px;text-align: center">
                                Update personal details
                            </h2>
                        </div>
                        <div class="card-body" style="padding-top: 0;">
                            <div style="overflow: hidden">
                                <div style="width: 40%;float: left;color: #777777;padding: 5px 3px;margin: 5px 0;">Name</div>
                                <div style="width: 60%;float: left;">
                                    <input type="text" name="name" class="cu_input" value="{{auth()->user()->name}}" required>
                                </div>
                            </div>

                            <div style="overflow: hidden">
                                <div style="width: 40%;float: left;color: #777777;padding: 5px 3px;margin: 5px 0;">Phone</div>
                                <div style="width: 60%;float: left;">
                                    <input type="text" name="phone" class="cu_input" readonly value="{{auth()->user()->phone}}">
                                </div>
                            </div>

                            <div style="overflow: hidden">
                                <div style="width: 40%;float: left;color: #777777;padding: 5px 3px;margin: 5px 0;">Balance</div>
                                <div style="width: 60%;float: left;">
                                    <input type="text" name="balance" class="cu_input" readonly value="{{price(auth()->user()->balance)}}">
                                </div>
                            </div>

                            <div style="overflow: hidden">
                                <div style="width: 40%;float: left;color: #777777;padding: 5px 3px;margin: 5px 0;">Receivable</div>
                                <div style="width: 60%;float: left;">
                                    <input type="text" name="receive_able_amount" class="cu_input" readonly value="{{price(auth()->user()->receive_able_amount)}}">
                                </div>
                            </div>

                            <div style="overflow: hidden">
                                <div style="width: 40%;float: left;color: #777777;padding: 5px 3px;margin: 5px 0;">Method</div>
                                <div style="width: 60%;float: left;">
                                    <select name="methods" id="method" style="width: 100%" required>
                                        <option value="">Select one</option>
                                        <option value="bkash" @if(auth()->user()->gateway_method == 'bkash') selected @endif>bKash</option>
                                        <option value="nagad" @if(auth()->user()->gateway_method == 'nagad') selected @endif>Nagad</option>
                                    </select>
                                </div>
                            </div>

                            <div style="overflow: hidden">
                                <div style="width: 40%;float: left;color: #777777;padding: 5px 3px;margin: 5px 0;">Number</div>
                                <div style="width: 60%;float: left;">
                                    <input type="text" name="number" required class="cu_input" value="{{auth()->user()->gateway_number ?? ''}}">
                                </div>
                            </div>

                            <div style="overflow: hidden">
                                <button>Submit</button>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </form>
    </div>
@endsection
