@extends('app.layout.app')
@section('app_content')
    <style>
        .bank_container {
            overflow: hidden;
            border-bottom: 2px solid #ccc;
        }

        .bank {
            width: 96%;
            margin: auto;
        }

        .bank_row {
            width: 50%;
            float: left;
        }

        .bank_row h3 {
            margin: 0;
            text-align: center;
            font-size: 16px;
            color: rgb(0, 54, 202);
            padding: 20px 0;
            text-transform: uppercase;
            font-weight: 700;
            user-select: none;
        }

        input.input_group {
            width: 100%;
            border: 1px solid #ddd;
            box-shadow: 0 2px 6px #ddd;
            padding: 9px 9px;
            padding-left: 100px;
            margin: 6px 0;
            border-radius: 0;
        }

        .form_group {
            position: relative;
        }

        .form_group label {
            position: absolute;
            margin: 0;
            top: 16px;
            left: 14px;
        }

        button.bank_submit {
            background: #0036ca;
            color: #fff;
            width: 100%;
            border: none;
            border-radius: 50px;
            padding: 10px 0px;
            margin-top: 13px;
            box-shadow: 0 2px 8px #0036ca;
        }

        .bank_gateway_container {
            position: absolute;
            z-index: 999;
            left: 50%;
            top: 50%;
            background: #fff;
            transform: translate(-50%, -50%);
            padding: 0;
            display: none;
        }

        .bank_gateway_container ul li {
            padding: 14px 53px;
        }

        form {
            width: 95%;
            margin: auto;
        }

        button.bank_submit {
            background: #0036ca;
            color: #fff;
            width: 87%;
            border: none;
            border-radius: 0 !important;
            padding: 8px 0px;
            margin-top: 13px;
            box-shadow: none;
        }

        input:focus-visible {
            outline: none;
        }
        input.input_group {
    margin: 1px 0;
}
    </style>
    @include('alert-message')
    <div class="back-section">
        <div class="container">
            <div class="back-area" style="display: flex;justify-content: space-between">
                <div>
                    <a href="{{route('my.profile')}}">
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512">
                            <!--! Font Awesome Pro 6.4.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2023 Fonticons, Inc. -->
                            <path
                                d="M41.4 233.4c-12.5 12.5-12.5 32.8 0 45.3l160 160c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L109.3 256 246.6 118.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0l-160 160z"/>
                        </svg>
                    </a>
                </div>
                <h2 class="site-title" style="margin-bottom: 0">
                    Withdrawal Account
                </h2>
                <h2 class="site-title" style="margin-bottom: 0"
                    onclick="window.location.href = '{{route('user.withdraw')}}'">
                    BDT
                </h2>
            </div>
        </div>
    </div>


    <div class="card" style="margin-top: 20px;margin-left: 13px;margin-right: 13px">
        <div class="card-header" style="box-shadow:0px -4px 0px rgb(0, 54, 202)">
            <h2 style="margin: 0;font-size: 15px;border-bottom: 1px dashed #0000004d;padding-bottom: 15px;text-align: center">
                Current balance</h2>
        </div>
        <div class="card-body" style="padding-top: 0;">
            <div style="overflow: hidden">
                <div
                    style="width: 100%;float: left;color: #0036ca;text-align: center;font-size: 28px;font-weight: 600"> {{auth()->user()->balance >= 0 ? auth()->user()->balance / setting('rate') : 0}}usdt
                </div>
            </div>
        </div>
    </div></br></br>

    <form action="{{route('user.withdraw-usdt-confirm-submit')}}" method="post">@csrf
        <div class="form_group">
            <label for="" style="display: block"> $:</label>
            <input style="padding-left: 33px" type="number" oninput="calculateBrAmount(this)" class="input_group" required value=""
                   placeholder="Withdraw Amount">
            <input type="hidden" name="amount">
            <div style="padding-left: 15px">BDT: <span class="bdt_amount">0.00</span></div>
        </div>
</br></br>
        <div class="form_group">
            <label for="" style="display: block">USDT Name:</label>
            <input type="text" class="input_group" name="usdt_name" required
                   value="{{auth()->user()->usdt_name ?? old('usdt_name')}}" readonly>
        </div>

        <div class="form_group">
            <label for="" style="display: block">USDT address:</label>
            <input type="text" class="input_group" required
                   style="padding-left: 130px"
                   value="{{auth()->user()->usdt_number ?? 'Choose gateway'}}" name="usdt_number" readonly>
        </div>

        <div class="form_group">
            <label for="" style="display: block">Password:</label>
            <input type="password" name="password" class="input_group" required>
        </div>

        <div class="form_group" style="text-align: center">
            <button type="submit" class="bank_submit">Withdraw now</button>
        </div>
    </form>
    
    <div style="padding-right: 13px;padding-left: 13px;margin-top: 15px">
        <p style="margin:0 !important;font-size: 13px;    color: #fff;">1. Please follow the instructions</p>
        <p style="margin:0 !important;font-size: 13px;    color: #fff;">2. Withdraw time must 10AM to 05PM.</p>
        <p style="margin:0 !important;font-size: 13px;    color: #fff;">3. minimum withdraw 5usdt.</p>
        <p style="margin:0 !important;font-size: 13px;    color: #fff;    color: #fff;">4. maximum withdraw Unlimitted, </p>
        <p style="margin:0 !important;font-size: 13px;    color: #fff;">5. Withdraw approval success 1hour to 24hours, </p>
        <p style="margin:0 !important;font-size: 13px;    color: #fff;">6. You can received usdt in TRC20 </p>
    </div>

    <script>
        var rate = '{{setting('rate')}}';
        function calculateBrAmount(_this)
        {
            document.querySelector('.bdt_amount').innerHTML = (_this.value * rate).toFixed(2);
            document.querySelector('input[name="amount"]').value = _this.value * rate;
        }
    </script>
@endsection


