<?php $__env->startPush("page_title"); ?> Recharge <?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
<style>
    .extend-height {
        height: 120vh;
    }
</style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<div class="top-nav all">
    <a href="<?php echo e(route('my.profile')); ?>">
        <iconify-icon width="21" icon="eva:arrow-back-outline"></iconify-icon>
    </a>
    <p>Recharge</p>
    <a href="<?php echo e(route('user.payment.ledger')); ?>">Record</a>
</div>

<form action="<?php echo e(route('user.onepay.submit')); ?>" class="extend-height" method="post" autocomplete="off">
    <?php echo csrf_field(); ?>
    
    <div class="recharge">
        <p>Recharge balance</p>
        <div class="balance">
            <?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <button type="button" data-role='amount-tip'><?php echo e($plan->price); ?></button>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>

        <div class="input-group">
            <input id="recharge-input" type="text" name="amount" placeholder="<?php echo e(price($methods[0]->minimum_recharge)); ?> - <?php echo e(price($methods[0]->maximum_recharge)); ?>" autocomplete="off" />
        </div>
    </div>

    <div class="recharge-method">
        <p>Recharge Method</p>
        <select name="pay_method">
            <?php $__currentLoopData = $methods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $method): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <option value="<?php echo e($method->tag); ?>"><?php echo e($method->name); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
    </div>

    <div class="px-4">
        <button type="submit" class="btn-submit">Recharge Now</button>
    </div>

    <div class="notes">
        <div>
            <p>Recharge Notes</p>
            <?php echo $setting->recharge_notice; ?>

        </div>
    </div>
    
</form>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('no_footer'); ?> <?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script src="<?php echo e(asset(themes('js/recharge-amount.js'))); ?>"></script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make("app.layout.ozo", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/admin/domains/sunwaves.com.ng/public_html/resources/views/app/main/recharge/index.blade.php ENDPATH**/ ?>