<?php $__env->startPush("page_title"); ?> My Order <?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
<?php echo $__env->make("app.layout.ozo_header_nav", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="income">
    <div class="title">
        <button class="active" role="product-switch" data-target="data1">In Progress</button>
        <button role="product-switch" data-target="data2">Completed</button>
    </div>

    <?php
        $data[1] = collect($orders)->filter(function($item) {
            return $item->status == 'active';
        });

        $data[2] = collect($orders)->filter(function($item) {
            return $item->status == 'inactive';
        });
    ?>

    <?php $__currentLoopData = [1,2]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $keydata): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="products-bag list hide" id="data<?php echo e($keydata); ?>">

            <div class="card">
                <div>
                    <p><?php echo e(price($receive_able_total_amount )); ?></p>
                    <button type="button" onclick="user_received_amount()">Claim</button>
                </div>
                
                <?php echo $setting->income_summery; ?>

            </div>

            <?php $__currentLoopData = $data[$keydata]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                <?php
                $package = $plan->package;
                
                $formattedNextDateTime = \Carbon\Carbon::parse($plan->next_return_date);
                ?>
                <div class="item">
                    <p><?php echo e($package->name); ?></p>
                    <div>
                        <div>
                            <img src="<?php echo e(view_image($package->photo)); ?>" alt="landscape">
                        </div>
                        <table>
                            <tr><td>Price</td><td><?php echo e(price($package->price)); ?></td></tr>
                            <tr><td>Validity</td><td><?php echo e($plan->days); ?> days</td></tr>
                            <tr><td>Daily income</td><td><?php echo e(price($plan->interest)); ?></td></tr>
                        </table>
                    </div>

                    <div>
                        <?php if($plan->earn_type == 'daily'): ?>
                            <p>Total earning <?php echo e(price($plan->interest * $plan->count_return)); ?> of <?php echo e($plan->count_return); ?> days</p>
                            <?php if($plan->status == 'active'): ?><p>Next earn drop at <?php echo e($formattedNextDateTime->format('d M h:i')); ?></p><?php endif; ?>
                        <?php else: ?>
                            <p>Total earning <?php echo e(price($plan->interest * $plan->days)); ?> of <?php echo e($plan->days); ?> days</p>
                            <?php if($plan->status == 'active'): ?><p>You will receive your earnings after <?php echo e($plan->days); ?> days</p><?php endif; ?>
                        <?php endif; ?>
                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

</div>
<div class="" style="height: 650px"></div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
<script src="<?php echo e(asset(themes('js/product-switch.js'))); ?>"></script>
<script>
    function user_received_amount()
    {
        document.querySelector('.loader_boss').style.display = 'block';

        // Get CSRF token from the meta tag
        var csrfToken = $('meta[name="csrf-token"]').attr('content');

        // Make AJAX POST request
        $.ajax({
            type: 'POST',
            url: "<?php echo e(route('user.received.amount')); ?>",
            contentType: 'application/json',
            headers: {
                'X-CSRF-TOKEN': csrfToken
            },
            dataType: 'json',
            success: function(res) {
                if (res.status == true) {
                    var elements = document.querySelectorAll('#amount');
                        elements.forEach(function(element) {
                            element.textContent = '0.00';
                        });
                }

                $('.loader_boss').hide();
                message(res.message);
            },
            error: function(jqXHR, textStatus, res) {
                var res = jqXHR.responseText;
                $('.loader_boss').hide();
                message(res.message);
            }
        });
    }
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make("app.layout.ozo", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/admin/domains/sunwaves.com.ng/public_html/resources/views/app/main/earning.blade.php ENDPATH**/ ?>