<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">


  <title><?php echo e($setting->site_name); ?> | <?php echo $__env->yieldPushContent('page_title'); ?></title>
  <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset(themes('img/favicon.png'))); ?>" />
  <link rel="stylesheet" href="<?php echo e(asset(themes('css/style.css'))); ?>">
  <link rel="stylesheet" href="<?php echo e(asset(themes('css/animate.css'))); ?>">
  <script src="https://code.iconify.design/iconify-icon/1.0.7/iconify-icon.min.js"></script>
  <script src="<?php echo e(asset(themes('js/jquery-3.7.0.min.js'))); ?>"></script>

  <?php echo $__env->yieldPushContent('style'); ?>

</head>
  <body>
    <div class="preloader" id="preloader">
        <iconify-icon width="36" icon="eos-icons:three-dots-loading"></iconify-icon>
    </div>

    <div class="wrapper">
        <div>
          <div class="auth">
            
            <?php if(View::hasSection('auth_header')): ?>
              <?php echo $__env->yieldContent('auth_header'); ?>
             <?php else: ?>
              <div class="title">
                  <img src="<?php echo e(asset(themes('img/auth.png'))); ?>" alt="">
      
                  <div>
                      <a href="<?php echo e(route('login')); ?>" class="<?php echo e(menuActive('login')); ?>">Login</a>
                      <a href="<?php echo e(route('register')); ?>" class="<?php echo e(menuActive('register')); ?>">Register</a>
                  </div>
              </div>
              <?php endif; ?>

            <!-- Auth form -->
            <div class="form">
                <?php echo $__env->yieldContent('content'); ?>
            </div>
            
              <div class="actions">
                  <a href="<?php echo e($setting->telegram); ?>">
                      <iconify-icon width="50" icon="logos:telegram"></iconify-icon>
                  </a>
                  <a href="<?php echo e($setting->whatsapp); ?>">
                      <img width="50" src="<?php echo e(asset(themes('img/support.png'))); ?>" alt="">
                  </a>
              </div>
          </div>
        </div>
  </div>

  <?php echo $__env->make('alert-message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
  <?php echo $__env->yieldPushContent('script'); ?>
  
  <script src="<?php echo e(asset(themes('js/preloader.js'))); ?>"></script>

  </body>
</html>
<?php /**PATH /home/admin/domains/sunwaves.com.ng/public_html/resources/views/app/layout/auth.blade.php ENDPATH**/ ?>